Module java.compiler
Package javax.lang.model.type

# Interface NoType

All Superinterfaces:
  `AnnotatedConstruct`, `TypeMirror`

public interface NoType extends TypeMirror
A pseudo-type used where no actual type is appropriate. The kinds of `NoType` are:

- `VOID` - corresponds to the keyword `void`.
- `PACKAGE` - the pseudo-type of a package element.
- `MODULE` - the pseudo-type of a module element.
- `NONE` - used in other cases where no actual type is appropriate; for example, the superclass of `java.lang.Object`.

Since:
  1.6
See Also:
  `ExecutableElement.getReturnType()`

## Method Summary

### Methods declared in interface javax.lang.model.type.TypeMirror

`accept, equals, getAnnotation, getAnnotationMirrors, getAnnotationsByType, getKind, hashCode, toString`